local function open_MAIN_WINDOW()
  GUI.newWindow({
    x                = 70,
    y                = 41,
    width            = 640,
    height           = 480,
    name             = "MAIN_WINDOW",
    textAlign        = "top left",
    enabled          = true,
    hidden           = false,
    color            = 0xc0c0c0,
    alpha            = 1.00,
    textColor        = 0xeaebec,
    textAlpha        = 1.00,
    borderType       = "window",
    zIndex           = 0.00,
    hasControls      = false,
  })
  GUI.newButton({
    x                = 312,
    y                = 264,
    width            = 256,
    height           = 48,
    name             = "OPTIONS_BUTTON",
    parentGroup      = "MAIN_WINDOW",
    caption          = "Options",
    textAlign        = "middle",
    enabled          = true,
    hidden           = false,
    color            = 0xc0c0c0,
    alpha            = 1.00,
    textColor        = 0xeada81,
    textAlpha        = 1.00,
    borderType       = "button",
    zIndex           = 0.50,
  })
  GUI.newButton({
    x                = 197,
    y                = 379,
    width            = 256,
    height           = 48,
    name             = "QUIT_BUTTON",
    parentGroup      = "MAIN_WINDOW",
    caption          = "Exit",
    textAlign        = "middle",
    enabled          = true,
    hidden           = false,
    color            = 0xc0c0c0,
    alpha            = 1.00,
    textColor        = 0xea8c92,
    textAlpha        = 1.00,
    borderType       = "button",
    zIndex           = 0.50,
    onRelease        = function(e) exitGame(e) end,
  })
  GUI.newImage({
    x                = 140,
    y                = 28,
    width            = 361,
    height           = 85,
    name             = "MAINMENU_IMAGE",
    parentGroup      = "MAIN_WINDOW",
    textAlign        = "middle",
    enabled          = true,
    hidden           = false,
    color            = 0xc0c0c0,
    alpha            = 1.00,
    textColor        = 0xeaebec,
    textAlpha        = 1.00,
    borderType       = "none",
    zIndex           = 1.00,
    imageName        = "images/mainmenu.png",
    scaleX           = 1.00,
    scaleY           = 1.00,
    imageRotation    = 108.00,
  })
  GUI.newButton({
    x                = 74,
    y                = 158,
    width            = 256,
    height           = 48,
    name             = "NEWGAME_BUTTON",
    parentGroup      = "MAIN_WINDOW",
    caption          = "New Game",
    textAlign        = "middle",
    enabled          = true,
    hidden           = false,
    color            = 0xc0c0c0,
    alpha            = 1.00,
    textColor        = 0xbdb2ec,
    textAlpha        = 1.00,
    borderType       = "button",
    zIndex           = 0.50,
    onRelease        = function(e) startNewGame(e) end,
  })
end
local function open_OPTIONS_WINDOW()
  GUI.newWindow({
    x                = 160,
    y                = 121,
    width            = 640,
    height           = 398,
    name             = "OPTIONS_WINDOW",
    textAlign        = "top left",
    enabled          = true,
    hidden           = false,
    color            = 0xc0c0c0,
    alpha            = 1.00,
    textColor        = 0xeaebec,
    textAlpha        = 1.00,
    borderType       = "window",
    zIndex           = 0.00,
    onClose          = function(e) returnToMainMenu(e) end,
    hasControls      = false,
  })
  GUI.newCheckBox({
    x                = 154,
    y                = 237,
    width            = 48,
    height           = 48,
    name             = "EFFECTS_CHECKBOX",
    parentGroup      = "OPTIONS_WINDOW",
    caption          = "Effetcs",
    textAlign        = "left",
    enabled          = true,
    hidden           = false,
    color            = 0xc0c0c0,
    alpha            = 1.00,
    textColor        = 0xeaebec,
    textAlpha        = 1.00,
    borderType       = "checkbox",
    zIndex           = 0.74,
    toggleState      = false,
    onStateChanged   = function(e) toggleEffects(e) end,
  })
  GUI.newRadioButton({
    x                = 554,
    y                = 231,
    width            = 48,
    height           = 48,
    name             = "HARD_RADIOBUTTON",
    parentGroup      = "OPTIONS_WINDOW",
    caption          = "Hard",
    textAlign        = "left",
    enabled          = true,
    hidden           = false,
    color            = 0xc0c0c0,
    alpha            = 1.00,
    textColor        = 0xead0d4,
    textAlpha        = 1.00,
    borderType       = "radiobutton",
    zIndex           = 0.50,
    toggleState      = false,
    toggleGroup      = "DIFFICULTY_GROUP",
    onStateChanged   = function(e) changeDifficulty(e) end,
  })
  GUI.newRadioButton({
    x                = 556,
    y                = 174,
    width            = 48,
    height           = 48,
    name             = "NORMAL_RADIOBUTTON",
    parentGroup      = "OPTIONS_WINDOW",
    caption          = "Normal",
    textAlign        = "left",
    enabled          = true,
    hidden           = false,
    color            = 0xc0c0c0,
    alpha            = 1.00,
    textColor        = 0xbeebba,
    textAlpha        = 1.00,
    borderType       = "radiobutton",
    zIndex           = 0.94,
    toggleState      = true,
    toggleGroup      = "DIFFICULTY_GROUP",
    onStateChanged   = function(e) changeDifficulty(e) end,
  })
  GUI.newCheckBox({
    x                = 152,
    y                = 181,
    width            = 48,
    height           = 48,
    name             = "MUSIC_CHECKBOX",
    parentGroup      = "OPTIONS_WINDOW",
    caption          = "Music",
    textAlign        = "left",
    enabled          = true,
    hidden           = false,
    color            = 0xc0c0c0,
    alpha            = 1.00,
    textColor        = 0xeaebec,
    textAlpha        = 1.00,
    borderType       = "checkbox",
    zIndex           = 0.62,
    toggleState      = true,
    onStateChanged   = function(e) toggleMusic(e) end,
  })
  GUI.newButton({
    x                = 25,
    y                = 327,
    width            = 144,
    height           = 48,
    name             = "CANCEL_BUTTON",
    parentGroup      = "OPTIONS_WINDOW",
    caption          = "Cancel",
    textAlign        = "middle",
    enabled          = true,
    hidden           = false,
    color            = 0xc0c0c0,
    alpha            = 1.00,
    textColor        = 0xea3d3c,
    textAlpha        = 1.00,
    borderType       = "button",
    zIndex           = 0.50,
    onRelease        = function(e) cancelOptions(e) end,
  })
  GUI.newScrollBar({
    x                = 222,
    y                = 235,
    width            = 144,
    height           = 48,
    name             = "EFFECTS_HSCROLLBAR",
    parentGroup      = "OPTIONS_WINDOW",
    caption          = "0",
    textAlign        = "right",
    enabled          = true,
    hidden           = false,
    color            = 0xc0c0c0,
    alpha            = 1.00,
    textColor        = 0xeaebec,
    textAlpha        = 1.00,
    borderType       = "hscrollbar",
    zIndex           = 0.80,
    min              = 0,
    max              = 100,
    steps            = 100,
    value            = 0,
    onValueChanged   = function(e) setEffectsVolume(e) end,
  })
  GUI.newScrollBar({
    x                = 218,
    y                = 180,
    width            = 144,
    height           = 48,
    name             = "MUISIC_HSCROLLBAR",
    parentGroup      = "OPTIONS_WINDOW",
    caption          = "100",
    textAlign        = "right",
    enabled          = true,
    hidden           = false,
    color            = 0xc0c0c0,
    alpha            = 1.00,
    textColor        = 0xeaebec,
    textAlpha        = 1.00,
    borderType       = "hscrollbar",
    zIndex           = 0.50,
    min              = 0,
    max              = 100,
    steps            = 100,
    value            = 100,
    onValueChanged   = function(e) setMusicVolume(e) end,
  })
  GUI.newImage({
    x                = 187,
    y                = 26,
    width            = 256,
    height           = 85,
    name             = "OPTIONS_LOGO",
    parentGroup      = "OPTIONS_WINDOW",
    textAlign        = "middle",
    enabled          = true,
    hidden           = false,
    color            = 0xc0c0c0,
    alpha            = 1.00,
    textColor        = 0xeaebec,
    textAlpha        = 1.00,
    borderType       = "none",
    zIndex           = 1.00,
    imageName        = "images/options.png",
    scaleX           = 1.00,
    scaleY           = 1.00,
    imageRotation    = 0.00,
    onPress          = function(e) spawnFireworks(e) end,
  })
  GUI.newButton({
    x                = 472,
    y                = 327,
    width            = 144,
    height           = 48,
    name             = "OKAY_BUTTON",
    parentGroup      = "OPTIONS_WINDOW",
    caption          = "Okay",
    textAlign        = "middle",
    enabled          = true,
    hidden           = false,
    color            = 0xc0c0c0,
    alpha            = 1.00,
    textColor        = 0x42eb43,
    textAlpha        = 1.00,
    borderType       = "button",
    zIndex           = 0.50,
    onRelease        = function(e) confirmOptions(e) end,
  })
  GUI.newBorder({
    x                = 440,
    y                = 158,
    width            = 177,
    height           = 146,
    name             = "BORDER_0006",
    parentGroup      = "OPTIONS_WINDOW",
    caption          = "Difficulty",
    textAlign        = "above",
    enabled          = true,
    hidden           = false,
    color            = 0xc0c0c0,
    alpha            = 1.00,
    textColor        = 0xeaebec,
    textAlpha        = 1.00,
    borderType       = "recessed",
    zIndex           = 0.10,
  })
  GUI.newBorder({
    x                = 22,
    y                = 158,
    width            = 398,
    height           = 147,
    name             = "BORDER_0010",
    parentGroup      = "OPTIONS_WINDOW",
    caption          = "Audio",
    textAlign        = "above",
    enabled          = true,
    hidden           = false,
    color            = 0xc0c0c0,
    alpha            = 1.00,
    textColor        = 0xeaebec,
    textAlpha        = 1.00,
    borderType       = "recessed",
    zIndex           = 0.10,
  })
end

